<?php

namespace App\Models;

use Kyslik\ColumnSortable\Sortable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class Salaries extends Model
{
    use HasFactory, Sortable;

    protected $fillable = [
        'id',
        'employee_id',
        'salary',
        'loan',
        'date',
        'paid_by',
    ];

    public $sortable = [
        'id',
        'employee_id',
        'salary',
        'loan',
        'date',
        'paid_by',
    ];

    protected $guarded = [
        'id',
    ];

    

    
    public function employee()
    {
        return $this->belongsTo(Employee::class);
    }
    

    public function scopeFilter($query, array $filters)
    {
        $query->when($filters['search'] ?? false, function ($query, $search) {
            return $query->where('salary', 'like', '%' . $search . '%');
        });
    }
}
