@extends('dashboard.body.main')

@section('specificpagescripts')
<script src="{{ asset('assets/js/img-preview.js') }}"></script>
@endsection

@section('content')
<!-- BEGIN: Header -->
<header class="page-header page-header-dark bg-gradient-primary-to-secondary pb-10">
    <div class="container-xl px-4">
        <div class="page-header-content pt-4">
            <div class="row align-items-center justify-content-between">
                <div class="col-auto mt-4">
                    <h1 class="page-header-title">
                        <div class="page-header-icon"><i class="fa-solid fa-boxes-stacked"></i></div>
                        Add Salaries
                    </h1>
                </div>
            </div>

            <nav class="mt-4 rounded" aria-label="breadcrumb">
                <ol class="breadcrumb px-3 py-2 rounded mb-0">
                    <li class="breadcrumb-item"><a href="{{ route('dashboard') }}">Dashboard</a></li>
                    <li class="breadcrumb-item"><a href="{{ route('salaries.index') }}">Salaries</a></li>
                    <li class="breadcrumb-item active">Create</li>
                </ol>
            </nav>
        </div>
    </div>
</header>
<!-- END: Header -->

<!-- BEGIN: Main Page Content -->
<div class="container-xl px-2 mt-n10">
    <form action="{{ route('salaries.store') }}" method="POST" enctype="multipart/form-data">
        @csrf
        <div class="row">

            <div class="col-xl-12">
                <!-- BEGIN: Product Details -->
                <div class="card mb-4">
                    <div class="card-header">
                        Salaries Details
                    </div>
                    <div class="card-body">
                        <!-- Form Group (Employee name) -->
                        <div class="mb-3">
                            <label class="small mb-1" for="employee_id">Employee name <span class="text-danger">*</span></label>
                            <select class="form-select form-control-solid @error('employee_id') is-invalid @enderror" id="employee_id" name="employee_id">
                                    <option selected="" disabled="">Select a category:</option>
                                @foreach($employees as $employee)
                                    <option value="{{$employee->id}}" >{{$employee->name}}</option>
                                @endforeach
                                </select>
                                @error('category_id')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                                @enderror

                        </div>
                        <!-- Form Row -->
                        <div class="row gx-3 mb-3">
                            <!-- Form Group (salary) -->
                            <div class="col-md-6">
                                <label class="small mb-1" for="salary">Salary <span class="text-danger">*</span></label>
                                <input class="form-control form-control-solid @error('salary') is-invalid @enderror" id="salary" name="salary" type="text" placeholder="" value="{{ old('salary') }}" autocomplete="off"/>
                                @error('salary')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                                @enderror
                            </div>
                            <!-- Form Group (Loan) -->
                            <div class="col-md-6">
                                <label class="small mb-1" for="loan">Advance <span class="text-danger">*</span></label>
                                <input class="form-control form-control-solid @error('loan') is-invalid @enderror" id="loan" name="loan" type="text" placeholder="" value="{{ old('loan') }}" autocomplete="off"/>
                                @error('loan')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                                @enderror
                            </div>
                        </div>
                        <!-- Form Row -->
                        <div class="row gx-3 mb-3">
                            <!-- Form Group (buying price) -->
                            <div class="col-md-6">
                                <label class="small mb-1" for="date">Date <span class="text-danger">*</span></label>
                                <input class="form-control form-control-solid @error('date') is-invalid @enderror" id="date" name="date" type="date" placeholder="" value="{{ old('date') }}" autocomplete="off" />
                                @error('date')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                                @enderror
                            </div>
                            <!-- Form Group (selling price) -->
                            <div class="col-md-6">
                                <label class="small mb-1" for="paid_by">Paid By <span class="text-danger">*</span></label>
                                <input class="form-control form-control-solid @error('paid_by') is-invalid @enderror" id="paid_by" name="paid_by" type="text" placeholder="" value="{{ old('paid_by') }}" autocomplete="off" />
                                @error('paid_by')
                                <div class="invalid-feedback">
                                    {{ $message }}
                                </div>
                                @enderror
                            </div>
                        </div>  

                        <!-- Submit button -->
                        <button class="btn btn-primary" type="submit">Save</button>
                        <a class="btn btn-danger" href="{{ route('products.index') }}">Cancel</a>
                    </div>
                </div>
                <!-- END: Product Details -->
            </div>
        </div>
    </form>
</div>
<!-- END: Main Page Content -->
@endsection
